NSRNDMP_SAVE(8)

NAME
nsrndmp_save - use NetWorker and Network Data Management Protocol(NDMP) to save data

SYNOPSIS
nsrndmp_save -T backup-type [ -Lnq ] [ -c client-name ] [ -g group ] [ -l level ] [ -m masquerade ] [ -N name ] [ -s server ] [ -t date ] [ -W width ] path

DESCRIPTION
nsrndmp_save coordinates the backup process with NetWorker and a target Network Data Management Protocol(NDMP) system. Only the super-user may run this command. The user must specify a backup type, client-name, server, and path.

The behavior of the backup depends on the NDMP system being protected. Certain environment variables may be needed depending upon the target system. Documentation for such backups should be consulted for more details.

The status of a backup can be monitored using the X Window System-based nwadmin(8) program or the curses(3X) based nsrwatch(8) program for other terminal types.

nsrndmp_save is not responsible for moving data on the NDMP system. All such activity is handled by the NDMP system. nsrndmp_save receives messages from the NDMP system and processes them appropriately. Such messages could request a new tape be mounted or a file index entry to be created. Refer to the NDMP specification and documentation available at www.ndmp.org for more details.

Details about handling media are discussed in nsrmm(8) and nsr_device(5).

In order to save data for another system, make sure the user performing the nsrndmp_save operation is on the rse9988 remote access attribute list of the client resource. See nsr_client(5).

OPTIONS

-c client-name
    Specifies the client name for starting the save session. This is useful on clients with multiple network interfaces, and hence multiple host names. It can be used to create multiple index databases for the same physical client. Note that this does not specify the network interface to use. This is specified in the server network interface attribute of the client resource. See nsr_client(5).

-g group
    Is used by savegrp(8) and savefs(8) to denote the group of the save. See nsr_client(5) and nsr_group(5). It is also used by the NetWorker server to select the specific media pool.

-l level
    Indicates the level of the save. This option is used by savegrp(8) and savefs(8) to specify a particular level for a scheduled save.

-L  When two -L options are specified, this option causes an extra line to be printed at the end of the form ``complete savetime=number'', where number is the savetime of the save set created by this backup. Used by savegrp(8).

-m masquerade
    Specifies the tag to precede the summary line. This option is used by savegrp(8) and savefs(8) to aid in savegrp summary notifications.

-n  Indicates no save. Not supported, but provided for compatibility.

-N name
    Indicates the symbolic name of this save set. By default, the most common prefix of the path arguments is used as the save set name.

-q  Indicates quiet. Not supported, but provided for compatibility.

-s server
    Specifies which machine to use as the NetWorker server.

-t date
    Indicates the date (in nsr_getdate(3) format) after which files must have been modified before they will be saved. This option is used by savegrp(8) and savefs(8) to perform scheduled saves by consulting with the media database to determine the appropriate time value based on the previous saves for the save set and the level of the scheduled save.

-T backup-type
    The type of backup on the NDMP server, for example celestra.

-W width
    The width used when formatting summary information output.

SEE ALSO
curses(3X), nsr_getdate(3), nwadmin(8), nsr_client(5), nsr_device(5), nsr_group(5), nsr_service(5), nsrd(8), nsrim(8), nsrindexd(8), nsrmm(8), nsrmmd(8), nsrndmp_recover(8), nsrwatch(8), recover(8), savefs(8), savegrp(8)